## dods.dap.Server
Interface ServerArrayMethods

All Superinterfaces:
  ServerMethods

All Known Implementing Classes:
  SDArray, SDGrid

public interface ServerArrayMethods
extends ServerMethods

This interface extends the `ArrayMethods` for DODS types that extend `DArray` and `DGrid` classes. It contains additional projection methods needed by the Server side implementations of these types.

A projection for an array must include the start, stride and stop information for each dimension of the array in addition to the basic information that the array itself is projected. This interface provides access to that information.

See Also:
  `DArray`, `DGrid`, `SDArray`, `SDGrid`, `ServerMethods`, `Operator`

Method Summary
`int` `getStart(int dimension)`
`int` `getStop(int dimension)`
`int` `getStride(int dimension)`
`void` `setProjection(int dimension, int start, int stride, int stop)`

Methods inherited from interface dods.dap.Server.ServerMethods
`equal, greater_eql, greater, isProject, isRead, isSynthesized, less_eql, less, not_equal, read, regexp, serialize, setProject, setProject, setRead, setSynthesized`

Method Detail

### setProjection

    public void setProjection(int dimension,
                              int start,
                              int stride,
                              int stop)
                       throws InvalidParameterException,
                              SBHException

  Throws:
    `InvalidParameterException`
    `SBHException`

### getStart

    public int getStart(int dimension)
                 throws InvalidParameterException

  Throws:
    `InvalidParameterException`

### getStride

    public int getStride(int dimension)
                  throws InvalidParameterException

  Throws:
    `InvalidParameterException`

### getStop

    public int getStop(int dimension)
                throws InvalidParameterException

  Throws:
    `InvalidParameterException`